Bug 56105 - FILEOPEN Column width shown wrong, if observed before selecting whole column and column includes merged cells (see comment 7)
Summary: FILEOPEN Column width shown wrong, if observed before selecting whole column ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 75907 119658 (view as bug list)
Depends on:
Blocks: Cell-Management
  Show dependency treegraph
 
Reported: 2012-10-17 19:49 UTC by Guillermo Mario Narvaja
Modified: 2019-09-04 04:29 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file were you can reproduce the error (116.00 KB, application/vnd.ms-excel)
2012-10-17 19:49 UTC, Guillermo Mario Narvaja
Details
Optimised_p1.xls (30.50 KB, application/vnd.ms-excel)
2015-05-20 06:48 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guillermo Mario Narvaja 2012-10-17 19:49:39 UTC
Created attachment 68726 [details]
Sample file were you can reproduce the error

For a file in excel (XLS) format, when I open it with Libreoffice 3.5, it changes its column sizes.

If I open the same file with Libreoffice 3.3 o 3.4, the sizes are right.

Steps to reproduce:

1. Open attached file ("P.xls") with Libreoffice 3.5.5.3 
2. Right-click on column F and select "Ancho de columna" (I suppose in english version is "Column width")
3. You will see "5,26 cm"


When you open it with Libreoffice 3.3 o 3.4, the column width is "4.73 cm".

I'm using es_AR locale. 

I tested it with:
 * libreoffice 3.5.5.3 (wrong)
 * libreoffice 3.3.4 (right)
Comment 1 A (Andy) 2013-03-10 12:04:23 UTC
I tested it with LO 4.0.1.2 (Win7 Home, 64bit) and it shows for all columns the column width = 0.67 cm.
This is related to the merged cells at the top.  If I split these cells, then I get the column width = 4.17 cm for column F.

@Rainer: Can you maybe confirm this issue?
Comment 2 bfoman (inactive) 2013-05-08 12:40:09 UTC
Checked with:
LO 4.0.2.2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

> 3. You will see "5,26 cm"
> When you open it with Libreoffice 3.3 o 3.4, the column width is "4.73 cm".

Column F (sheet 2): width 4,17 cm.
 
(In reply to comment #1)
> I tested it with LO 4.0.1.2 (Win7 Home, 64bit) and it shows for all columns
> the column width = 0.67 cm.

This seems to be another bug and is quite annoying. Seems values displayed when clicked over F column depend of active cell in the sheet. Most times it is 4,17 and sometimes 0,67. I couldn't figure it out.
Comment 3 Jorendc 2013-05-29 23:42:41 UTC
I can reproduce this behavior

What I did:
* Open attached file
* Browse to sheet 2 (was opened by default already, but just make sure)
* Click on the header 'F' first, this'll select the complete column F
* Right click on 'F' > Column width...

Result: 5,26 cm

Tested using Linux Mint 15 x64 with LibreOffice Version: 4.2.0.0.alpha0+
Build ID: c7da99f37197fb1446af07f17ba33978f15e7f6 ; Dutch Locale;
Comment 4 Joel Madero 2013-05-30 20:40:32 UTC
*** Bug 57154 has been marked as a duplicate of this bug. ***
Comment 5 QA Administrators 2015-03-04 02:20:13 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-03-22 13:06:47 UTC
If I first click F and then right click - column width I get 4,17 cm.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 7 Buovjaga 2015-05-12 13:05:28 UTC
When viewed in Excel 2013, the column width is 20,57 characters (see this for explanation: https://support.office.com/en-us/article/Change-the-column-width-and-row-height-db30658d-0c0b-44ad-825f-55f1cb4d9957).

This calculation must always be an approximation and when I eyeball LibO vs. Excel, LibO seems to only have about 1 or 1,5 characters more width.

So for now, I propose that we forget about the width precision and keep this for "width is announced as 0.67 cm before selecting whole column".

Lowering severity to minor.

Win 8.1, MSO 2013
Comment 8 Yogesh Bharate 2015-05-20 06:47:38 UTC
This issue is happened in specific scenarios,
1. When XLSX contents merge cell, just above the freeze cell.
2. When we right click on cell header its how the wrong column width i.e it shows the column width of cell header.

<U> PFA - Optimised_p1.xls </U> which will helps for debugging.
Comment 9 Yogesh Bharate 2015-05-20 06:48:29 UTC
Created attachment 115740 [details]
Optimised_p1.xls
Comment 10 Shunesburg69 2016-07-30 13:07:00 UTC
Not fix yet in 5.2.0.3
Comment 11 QA Administrators 2017-09-01 11:19:31 UTC Comment hidden (obsolete)
Comment 12 Buovjaga 2018-09-03 13:11:15 UTC
*** Bug 119658 has been marked as a duplicate of this bug. ***
Comment 13 Buovjaga 2018-09-03 13:12:39 UTC
Not limited to XLS, so adjusting.
Comment 14 Buovjaga 2018-09-03 13:15:44 UTC
*** Bug 75907 has been marked as a duplicate of this bug. ***
Comment 15 QA Administrators 2019-09-04 04:29:30 UTC
Dear Guillermo Mario Narvaja,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug